linux-lts-utopic: 3.16.0-52.71~14.04.1 -proposed tracker

Bug #1509362 reported by Luis Henriques on 2015-10-23
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux-lts-utopic (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.16.0-52.71~14.04.1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 23. October 2015 13:30 UTC
kernel-stable-Prepare-package-end:Saturday, 24. October 2015 00:02 UTC
kernel-stable-Promote-to-proposed-start:Saturday, 24. October 2015 00:02 UTC
kernel-stable-Promote-to-proposed-end:Monday, 26. October 2015 17:38 UTC
kernel-stable-Verification-testing-start:Monday, 26. October 2015 19:02 UTC
kernel-stable-Certification-testing-start:Monday, 26. October 2015 19:03 UTC
kernel-stable-Security-signoff-start:Monday, 26. October 2015 19:03 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Monday, 26. October 2015 19:03 UTC
kernel-stable-Security-signoff-end:Tuesday, 27. October 2015 10:00 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 04. November 2015 16:15 UTC
kernel-stable-Certification-testing-end:Wednesday, 04. November 2015 16:15 UTC
kernel-stable-Regression-testing-end:Wednesday, 04. November 2015 16:15 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 04. November 2015 16:57 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 04. November 2015 18:04 UTC

CVE References

Luis Henriques (henrix) on 2015-10-23
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-trusty
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu Trusty):
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu):
status: New → Invalid

All builds are complete, packages in this bug can be copied to -proposed.

description: updated

 linux-lts-utopic | 3.16.0-52.71~14.04.1 | trusty-proposed | source
 linux-meta-lts-utopic | 3.16.0.52.43 | trusty-proposed | source
 linux-signed-lts-utopic | 3.16.0-52.71~14.04.1 | trusty-proposed | source

Brad Figg (brad-figg) on 2015-10-26
description: updated

Here's the relevant information:

 trusty linux-lts-utopic 3.16.0-52.71~14.04.1 REGR summary<REGR: 1 MISS: 114 FAIL: 12 GOOD: 7>

Please verify test results in http://people.canonical.com/~kernel/status/adt-matrix/overall.txt

Brad Figg (brad-figg) on 2015-10-26
description: updated
Brad Figg (brad-figg) on 2015-10-27
description: updated
Luis Henriques (henrix) wrote :

adt-matrix results:
trusty linux-lts-utopic 3.16.0-52.71~14.04.1 MISS summary<MISS: 4 REGR: 17 FAIL: 44 GOOD: 73>

Luis Henriques (henrix) wrote :

We need to get this kernel released due to bug #1508510. Marking certification task as 'Invalid'

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2015-11-04
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (11.0 KiB)

This bug was fixed in the package linux-lts-utopic - 3.16.0-52.71~14.04.1

---------------
linux-lts-utopic (3.16.0-52.71~14.04.1) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1509362

  [ Upstream Kernel Changes ]

  * Revert "net: Fix skb csum races when peeking"
    - LP: #1508510

linux-lts-utopic (3.16.0-52.70~14.04.1) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1508145
  * [Config] updateconfigs after 3.16.7-ckt18 stable update

  [ Tim Gardner ]

  * [Config] Add MMC modules sufficient for net booting
    - LP: #1502772

  [ Upstream Kernel Changes ]

  * USB: whiteheat: fix potential null-deref at probe
    - LP: #1478826
    - CVE-2015-5257
  * dcache: Handle escaped paths in prepend_path
    - LP: #1441108
    - CVE-2015-2925
  * vfs: Test for and handle paths that are unreachable from their mnt_root
    - LP: #1441108
    - CVE-2015-2925
  * hyperv: Add processing of MTU reduced by the host
    - LP: #1494431
  * hv_netvsc: Add support to set MTU reservation from guest side
    - LP: #1494431
  * hv_netvsc: Add close of RNDIS filter into change mtu call
    - LP: #1494431
  * ipv6: addrconf: validate new MTU before applying it
    - LP: #1508133
  * v4l: omap3isp: Fix sub-device power management code
    - LP: #1508133
  * rc-core: fix remove uevent generation
    - LP: #1508133
  * HID: cp2112: fix I2C_SMBUS_BYTE write
    - LP: #1508133
  * HID: cp2112: fix byte order in SMBUS operations
    - LP: #1508133
  * xtensa: fix threadptr reload on return to userspace
    - LP: #1508133
  * ARM: OMAP2+: DRA7: clockdomain: change l4per2_7xx_clkdm to SW_WKUP
    - LP: #1508133
  * mac80211: enable assoc check for mesh interfaces
    - LP: #1508133
  * PCI: Add dev_flags bit to access VPD through function 0
    - LP: #1508133
  * PCI: Add VPD function 0 quirk for Intel Ethernet devices
    - LP: #1508133
  * staging: comedi: usbduxsigma: don't clobber ai_timer in command test
    - LP: #1508133
  * staging: comedi: usbduxsigma: don't clobber ao_timer in command test
    - LP: #1508133
  * clk: exynos4: Fix wrong clock for Exynos4x12 ADC
    - LP: #1508133
  * usb: dwc3: ep0: Fix mem corruption on OUT transfers of more than 512
    bytes
    - LP: #1508133
  * Doc: ABI: testing: configfs-usb-gadget-loopback
    - LP: #1508133
  * Doc: ABI: testing: configfs-usb-gadget-sourcesink
    - LP: #1508133
  * serial: 8250_pci: Add support for Pericom PI7C9X795[1248]
    - LP: #1508133
  * KVM: MMU: fix validation of mmio page fault
    - LP: #1508133
  * auxdisplay: ks0108: fix refcount
    - LP: #1508133
  * devres: fix devres_get()
    - LP: #1508133
  * iio: adis16400: Fix adis16448 gyroscope scale
    - LP: #1508133
  * iio: Add inverse unit conversion macros
    - LP: #1508133
  * iio: adis16480: Fix scale factors
    - LP: #1508133
  * ideapad-laptop: Add Lenovo Yoga 3 14 to no_hw_rfkill dmi list
    - LP: #1508133
  * ASoC: rt5640: fix line out no sound issue
    - LP: #1508133
  * iio: industrialio-buffer: Fix iio_buffer_poll return value
    - LP: #1508133
  * iio: event: Remove negative error code from iio_event_poll
    - LP: #1508133
  * NFSv4: don't set SETATTR for O_...

Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → Fix Released
Brad Figg (brad-figg) on 2015-11-04
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers